This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 133395 - sysstat spec creates broken cron entries on biarch systems
sysstat spec creates broken cron entries on biarch systems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Brian Brock
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-23 14:18 EDT by Charlie Bennett
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: sysstat-5.0.11.rhel3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 07:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charlie Bennett 2004-09-23 14:18:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
in the sysstat .spec file are the following lines:

                                                                     
          
%ifarch x86_64 ppc64 s390x
perl -pi -e "s|/lib|/lib64|g" %{SOURCE1}
%endif

this patched the file in SOURCES/sysstat.cron

that file in the srpm now reads:

[chrismcc@valhalla SRPMS]$ cat ../SOURCES/sysstat.crond
# run system activity accounting tool every 10 minutes
*/10 * * * * root /usr/lib64/sa/sa1 1 1
# generate a daily summary of process accounting at 23:53
53 23 * * * root /usr/lib64/sa/sa2 -A


running it again will yield a broken cron

e.g.  /usr/lib6464/sa/sa1 1 1  on a 64 bit platform 

recomend:                                                            
         
       
%ifarch x86_64 ppc64 s390x
perl -pi -e "s|/lib|/lib64|g" %{buildroot}/etc/cron.d/sysstat
%endif




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Hey, this even includes a fix.

Additional info:
Comment 1 Charlie Bennett 2004-09-23 14:22:23 EDT
Factored out of bug 104266 for independent tracking
Comment 2 Charlie Bennett 2004-09-30 16:02:19 EDT
The sysstat-5.0.5 planned for the next release has a fix for this bug.

Note You need to log in before you can comment on or make changes to this bug.